VMALLOC(9)

NAME
vmalloc - allocate virtually contiguous memory

SYNOPSIS

void * vmalloc(unsigned long size);

ARGUMENTS

size
    allocation size Allocate enough pages to cover size from the page level allocator and map them into contiguous kernel virtual space.

DESCRIPTION

For tight control over page level allocator and protection flags use __vmalloc instead.

COPYRIGHT